Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 05 Apr 2021 14:21:47 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I had an order with number 9647195042
I paid the total amount by card
I received an SMS after that saying that the one of the items will be canceled for reasons out of control
Then, I canceled the whole order
This was in less than 2 hours 
The total amount before was 184.4 AED and they only refunded me with 176.40 AED... The order status was not shipping, so why to deduct 10 AED for shipping!!! which is totally unethical
I reported this problem to splash support, and I received a reply that they will give me a voucher of AED 15,,, Then they didn't provide me with anything and didn't reply AT ALL
IS THAT A JOKE?!!!!
SHOULD I REPORT THAT TO CONSUMER PROTECTION!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2355498